## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate sequoia-ipc

Name:           rust-sequoia-ipc
Version:        0.33.0
Release:        %autorelease
Summary:        Interprocess communication infrastructure for Sequoia

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-ipc
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sequoia-ipc-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Interprocess communication infrastructure for Sequoia.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
# build with the default crypto backend (Nettle)
%cargo_build -f sequoia-openpgp/crypto-nettle

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Feb 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.33.0-1
- Update to version 0.33.0; Fixes RHBZ#2260518

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.31.0-1
- Update to version 0.31.0; Fixes RHBZ#2246576

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.30.1-1
- Update to version 0.30.1; Fixes RHBZ#2141112

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-2
- Include patch to fix doctests with Rust 1.62+

* Sat May 07 2022 Fabio Valentini <decathorpe@gmail.com> - 0.28.0-1
- Update to version 0.28.0; Fixes RHBZ#2077845

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.27.0-1
- Update to version 0.27.0; Fixes RHBZ#2029486

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.26.0-2
- Restore test bypass for s390x

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.26.0-1
- Update to 0.26.0 Close: rhbz#1998105

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Apr 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-2
- Skip a test that implicitly relies on Little-Endian byte order on s390x.

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Initial package

## END: Generated by rpmautospec
